diff --git a/changelog b/changelog
index 04aaa39..b262993 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20091001 tpd src/axiom-website/patches.html 20091001.03.tpd.patch
+20091001 tpd src/interp/lisplib.lisp cleanup
 20091001 tpd src/axiom-website/patches.html 20091001.02.tpd.patch
 20091001 tpd src/interp/match.lisp cleanup
 20091001 tpd src/axiom-website/patches.html 20091001.01.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index c13cb86..a38e9e7 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2075,5 +2075,7 @@ src/interp/nci.lisp cleanup<br/>
 src/interp/msgdb.lisp cleanup<br/>
 <a href="patches/20091001.02.tpd.patch">20091001.02.tpd.patch</a>
 src/interp/match.lisp cleanup<br/>
+<a href="patches/20091001.03.tpd.patch">20091001.03.tpd.patch</a>
+src/interp/lisplib.lisp cleanup<br/>
  </body>
 </html>
diff --git a/src/interp/lisplib.lisp.pamphlet b/src/interp/lisplib.lisp.pamphlet
index ac17ed9..a673cfb 100644
--- a/src/interp/lisplib.lisp.pamphlet
+++ b/src/interp/lisplib.lisp.pamphlet
@@ -71,6 +71,7 @@
 ;     rwrite128(prop,val,filename)
 
 (DEFUN |lisplibWrite| (|prop| |val| |filename|)
+  (declare (special $LISPLIB))
   (COND ($LISPLIB (|rwrite128| |prop| |val| |filename|)) ('T NIL)))
 
 ;rwrite128(key,value,stream) ==
@@ -92,6 +93,7 @@
 ;    LAM_,FILEACTQ(key,form)
 
 (DEFUN |rwriteLispForm| (|key| |form|)
+  (declare (special |$libFile| $LISPLIB))
   (COND
     ($LISPLIB (|rwrite| |key| |form| |$libFile|)
         (|LAM,FILEACTQ| |key| |form|))
@@ -102,6 +104,7 @@
 ;  getFileProperty(name,$spadLibFT,id,true)
 
 (DEFUN |getLisplib| (|name| |id|)
+  (declare (special |$spadLibFT|))
   (|getFileProperty| |name| |$spadLibFT| |id| 'T))
 
 ;getLisplibNoCache(name,id) ==
@@ -109,6 +112,7 @@
 ;  getFileProperty(name,$spadLibFT,id,false)
 
 (DEFUN |getLisplibNoCache| (|name| |id|)
+  (declare (special |$spadLibFT|))
   (|getFileProperty| |name| |$spadLibFT| |id| NIL))
 
 ;getFileProperty(fn,ft,id,cache) ==
@@ -143,6 +147,7 @@
 ;  val
 
 (DEFUN |hasFilePropertyNoCache| (|p| |id| |abbrev|)
+  (declare (ignore |abbrev|))
   (PROG (|fnStream| |val|)
     (RETURN
       (PROGN
@@ -177,6 +182,7 @@
 
 (DEFUN |killNestedInstantiations| (|deps|)
   (PROG (|arg| |count| |inst|)
+  (declare (special |$ConstructorCache|))
     (RETURN
       (SEQ (DO ((G166136 (HKEYS |$ConstructorCache|) (CDR G166136))
                 (|key| NIL))
@@ -248,6 +254,7 @@
 ;  loadLib libName
 
 (DEFUN |loadLibIfNotLoaded| (|libName|)
+  (declare (special |$PrintOnly|))
   (COND
     ((BOOT-EQUAL |$PrintOnly| 'T) NIL)
     ((GETL |libName| 'LOADED) NIL)
@@ -287,6 +294,8 @@
 
 (DEFUN |loadLib| (|cname|)
   (PROG (|fullLibName| |systemdir?| |update?| |kind| |u| |sig| |coSig|)
+  (declare (special |$CategoryFrame| |$InteractiveMode| |$printLoadMsgs|
+                    |$forceDatabaseUpdate|))
     (RETURN
       (SEQ (PROGN
              (|startTimingProcess| '|load|)
@@ -366,7 +375,9 @@
 ;  'T
 
 (DEFUN |loadLibNoUpdate| (|cname| |libName| |fullLibName|)
+  (declare (ignore |libName|))
   (PROG (|kind|)
+  (declare (special |$CategoryFrame| |$InteractiveMode| |$printLoadMsgs|))
     (RETURN
       (PROGN
         (SPADLET |kind| (GETDATABASE |cname| 'CONSTRUCTORKIND))
@@ -416,6 +427,7 @@
 
 (DEFUN |loadLibIfNecessary| (|u| |mustExist|)
   (PROG (|value| |y|)
+  (declare (special |$CategoryFrame| |$InteractiveMode|))
     (RETURN
       (COND
         ((BOOT-EQUAL |u| '|$EmptyMode|) |u|)
@@ -506,7 +518,7 @@
                                                  (EXIT
                                                   (SETQ G166289
                                                    (CONS
-                                                    (|convertOpAlist2compilerInfo,formatSig|
+                                       (|convertOpAlist2compilerInfo,formatSig|
                                                      |op| |sig|)
                                                     G166289))))))))))))))))))
 
@@ -520,6 +532,7 @@
 
 (DEFUN |updateCategoryFrameForConstructor| (|constructor|)
   (PROG (|opAlist| |LETTMP#1| |dc| |sig| |pred| |impl|)
+  (declare (special |$CategoryFrame|))
     (RETURN
       (PROGN
         (SPADLET |opAlist| (GETDATABASE |constructor| 'OPERATIONALIST))
@@ -546,6 +559,7 @@
 
 (DEFUN |updateCategoryFrameForCategory| (|category|)
   (PROG (|LETTMP#1| |dc| |sig| |pred| |impl|)
+  (declare (special |$CategoryFrame|))
     (RETURN
       (PROGN
         (SPADLET |LETTMP#1|
@@ -628,6 +642,7 @@
 ;  SYMBOL_-FUNCTION cname
 
 (DEFUN |autoLoad| (|abb| |cname|)
+  (declare (ignore |abb|))
   (PROGN
     (COND ((NULL (GETL |cname| 'LOADED)) (|loadLib| |cname|)))
     (SYMBOL-FUNCTION |cname|)))
@@ -659,6 +674,7 @@
 
 (DEFUN |compileConstructorLib| (|l| |op| |editFlag| |traceFlag|)
   (PROG (|optionList| |funList| |options| |infile| |outfile| |res|)
+  (declare (special /FN))
     (RETURN
       (SEQ (COND
              ((MEMQ '? |l|) (RETURN (|editFile| '(/C TELL *))))
@@ -757,7 +773,8 @@
                       |$lisplibCategoriesExtended| |$lisplibSlot1|
                       |$lisplibOperationAlist| |$lisplibOpAlist|
                       |$lisplibSuperDomain| |$libFile|
-                      |$lisplibVariableAlist| |$lisplibSignatureAlist|))
+                      |$lisplibVariableAlist| |$lisplibSignatureAlist|
+                      |$listingDirectory| $ERASE /EDITFILE))
     (RETURN
       (PROGN
         (SPADLET $PRETTYPRINT 'T)
@@ -864,15 +881,16 @@
             |$lisplibOperationAlist| |$lisplibSuperDomain| |$libFile|
             |$lisplibVariableAlist| |$lisplibCategory| |op| |libName|
             |res| |ok| |filearg|)
-    (DECLARE (SPECIAL $LISPLIB |$op| |$lisplibAttributes|
+    (DECLARE (SPECIAL $LISPLIB |$op| |$lisplibAttributes| |$newConlist|
                       |$lisplibPredicates| |$lisplibCategoriesExtended|
-                      |$lisplibForm| |$lisplibKind|
-                      |$lisplibAbbreviation| |$lisplibParents|
-                      |$lisplibAncestors| |$lisplibModemap|
+                      |$lisplibForm| |$lisplibKind| |$algebraOutputStream|
+                      |$lisplibAbbreviation| |$lisplibParents| |$spadLibFT|
+                      |$lisplibAncestors| |$lisplibModemap| $FILEP
                       |$lisplibModemapAlist| |$lisplibSlot1|
                       |$lisplibOperationAlist| |$lisplibSuperDomain|
-                      |$libFile| |$lisplibVariableAlist|
-                      |$lisplibCategory|))
+                      |$libFile| |$lisplibVariableAlist| 
+                      |$lisplibCategory| |$libraryDirectory|
+                      |$compileDocumentation|))
     (RETURN
       (PROGN
         (COND ((EQ (CAR |df|) 'DEF) (CAR |df|)))
@@ -951,6 +969,7 @@
 
 (DEFUN |compileDocumentation| (|libName|)
   (PROG (|filename| |stream|)
+  (declare (special |$e| |$EmptyMode| |$spadLibFT| $REPLACE $FCOPY))
     (RETURN
       (PROGN
         (SPADLET |filename|
@@ -977,6 +996,7 @@
 
 (DEFUN |getLisplibVersion| (|libName|)
   (PROG (|stream| |version|)
+  (declare (special |$spadLibFT|))
     (RETURN
       (PROGN
         (SPADLET |stream|
@@ -1010,6 +1030,12 @@
 ;    then LAM_,FILEACTQ('VERSION,['_/VERSIONCHECK,_/MAJOR_-VERSION])
 
 (DEFUN |initializeLisplib| (|libName|)
+  (declare (special $ERASE |$libraryDirectory| |$libFile| |$lisplibForm|
+                    |$lisplibModemap| |$lisplibKind| |$lisplibModemapAlist|
+                    |$lisplibAbbreviation| |$lisplibAncestors|
+                    |$lisplibOpAlist| |$lisplibOperationAlist|
+                    |$lisplibSuperDomain| |$lisplibVariableAlist|
+                    |$lisplibSignatureAlist| /EDITFILE /MAJOR-VERSION ERRORS))
   (PROGN
     ($ERASE |libName| 'ERRORLIB |$libraryDirectory|)
     (SETQ ERRORS 0)
@@ -1073,7 +1099,15 @@
 
 (DEFUN |finalizeLisplib| (|libName|)
   (PROG (|$pairlis| |$NRTslot1PredicateList| |kind| |opsAndAtts|)
-    (DECLARE (SPECIAL |$pairlis| |$NRTslot1PredicateList|))
+    (DECLARE (SPECIAL |$pairlis| |$NRTslot1PredicateList| |$spadLibFT|
+                      |$lisplibForm| |$profileCompiler| |$libFile|
+                      |$lisplibSlot1| |$lisplibAncestors| |$lisplibParents|
+                      |$lisplibAbbreviation| |$lisplibPredicates|
+                      |$lisplibAttributes| |$lisplibVariableAlist|
+                      |$lisplibSignatureAlist| |$lisplibSuperDomain|
+                      |$FormalMapVariableList| |$lisplibModemap|
+                      |$lisplibModemapAlist| /EDITFILE |$lisplibCategory|
+                      |$lisplibKind|))
     (RETURN
       (SEQ (PROGN
              (|lisplibWrite| (MAKESTRING "constructorForm")
@@ -1168,6 +1202,7 @@
 ;    [libName,'ERRORLIB,$libraryDirectory])
 
 (DEFUN |lisplibDoRename| (|libName|)
+  (declare (special |$libraryDirectory| |$spadLibFT| $REPLACE))
   ($REPLACE
       (CONS |libName|
             (CONS |$spadLibFT| (CONS |$libraryDirectory| NIL)))
@@ -1182,6 +1217,7 @@
 ;    throwKeyedMsg("S2IL0008",[fname,typ,namestring [fn,$spadLibFT]])
 
 (DEFUN |lisplibError| (|cname| |fname| |type| |cn| |fn| |typ| |error|)
+  (declare (special |$spadLibFT|))
   (PROGN
     (|sayMSG|
         (|bright|
@@ -1322,6 +1358,7 @@
 
 (DEFUN |getSlotFromFunctor| (G166719 |slot| G166728)
   (PROG (|target| |argMml| |name| |args| |t|)
+  (declare (special |$e| |$lisplibOperationAlist|))
     (RETURN
       (PROGN
         (SPADLET |target| (CADAR G166728))
@@ -1356,7 +1393,8 @@
 
 (DEFUN |getSlot1| (|domainName|)
   (PROG (|$e| |fn| |p| |sig| |target| |argMml| |t|)
-    (DECLARE (SPECIAL |$e|))
+    (DECLARE (SPECIAL |$e| |$FormalMapVariableList| |$spadLibFT| 
+                      |$CategoryFrame|))
     (RETURN
       (SEQ (PROGN
              (SPADLET |$e| |$CategoryFrame|)
@@ -1430,6 +1468,7 @@
   (PROG (|op| |sig| |condition| |implementation| |eltEtc| |ISTMP#1|
               |ISTMP#2| |impOp| |kind| |u| |n| |signatureItem|
               |itemList| |newAlist|)
+  (declare (special |$functionLocations|))
     (RETURN
       (SEQ (PROGN
              (SPADLET |newAlist| NIL)
@@ -1597,6 +1636,7 @@
 (DEFUN |findConstructorSlotNumber| (|domainForm| |domain| |op| |sig|)
   (PROG (|constructorArglist| |nsig| |op1| |sig1| |r| |tail| |ISTMP#1|
             |ISTMP#2| |ISTMP#3| |ISTMP#4| |n|)
+  (declare (special |$CategoryFrame|))
     (RETURN
       (SEQ (COND
              ((NULL (ELT |domain| 1))
@@ -1678,7 +1718,7 @@
                                                            |b|)
                                                           (|bustUnion|
                                                            |a|)
-                                                          |$CategoryFrame|)))))))))))
+                                                    |$CategoryFrame|)))))))))))
                                            (SETQ G166911
                                             (OR G166911 |r|))))))))))
               (COND
@@ -1801,6 +1841,7 @@
 
 (DEFUN |sigsMatch| (|sig| |sig1| |domainForm|)
   (PROG (|item| |item1| |partsMatch|)
+  (declare (special |$CategoryFrame|))
     (RETURN
       (SEQ (PROGN
              (DO () ((NULL (AND |sig| |sig1|)) NIL)
@@ -1836,6 +1877,7 @@
 (DEFUN |findDomainSlotNumber| (|domain| |op| |sig|)
   (PROG (|nsig| |op1| |sig1| |r| |tail| |ISTMP#1| |ISTMP#2| |ISTMP#3|
                 |ISTMP#4| |n|)
+  (declare (special |$CategoryFrame|))
     (RETURN
       (SEQ (PROGN
              (SPADLET |nsig| (|#| |sig|))
@@ -1900,7 +1942,7 @@
                                                         |b|)
                                                        (|bustUnion|
                                                         |a|)
-                                                       |$CategoryFrame|))))))))))
+                                                     |$CategoryFrame|))))))))))
                                           (SETQ G167073
                                            (OR G167073 |r|))))))))))
              (COND
@@ -1998,6 +2040,7 @@
 
 (DEFUN |getSlotFromCategoryForm| (G167151 |index|)
   (PROG (|op| |argl| |u|)
+  (declare (special |$FormalMapVariableList|))
     (RETURN
       (PROGN
         (SPADLET |op| (CAR G167151))
@@ -2037,6 +2080,8 @@
 
 (DEFUN |mkEvalableCategoryForm| (|c|)
   (PROG (|op| |argl| |LETTMP#1| |x| |m|)
+  (declare (special |$Category| |$e| |$EmptyMode| |$CategoryFrame|
+                    |$CategoryNames|))
     (RETURN
       (SEQ (COND
              ((AND (PAIRP |c|)
@@ -2109,6 +2154,7 @@
 
 (DEFUN |isDomainForm| (D |e|)
   (PROG (|ISTMP#1| |ISTMP#2| |target|)
+  (declare (special |$SpecialDomainNames|))
     (RETURN
       (OR (MEMQ (KAR D) |$SpecialDomainNames|) (|isFunctor| D)
           (AND (PROGN
@@ -2132,6 +2178,7 @@
 
 (DEFUN |isDomainConstructorForm| (D |e|)
   (PROG (|op| |argl| |u| |ISTMP#1| |ISTMP#2| |ISTMP#3| |target|)
+  (declare (special |$FormalMapVariableList|))
     (RETURN
       (AND (PAIRP D)
            (PROGN
@@ -2177,6 +2224,7 @@
 
 (DEFUN |isFunctor| (|x|)
   (PROG (|op| |u| |prop|)
+  (declare (special |$CategoryFrame| |$InteractiveMode|))
     (RETURN
       (PROGN
         (SPADLET |op| (|opOf| |x|))
